cURL
curl --request PATCH \
--url https://api.poddata.ai/v1/trackers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sentence": "<string>",
"slack_url": "<string>",
"msteams_url": "<string>",
"recipients": [
"jsmith@example.com"
],
"picks": [
{
"id": "<string>",
"text": "<string>"
}
]
}
'import requests
url = "https://api.poddata.ai/v1/trackers/{id}"
payload = {
"name": "<string>",
"sentence": "<string>",
"slack_url": "<string>",
"msteams_url": "<string>",
"recipients": ["jsmith@example.com"],
"picks": [
{
"id": "<string>",
"text": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sentence: '<string>',
slack_url: '<string>',
msteams_url: '<string>',
recipients: ['jsmith@example.com'],
picks: [{id: '<string>', text: '<string>'}]
})
};
fetch('https://api.poddata.ai/v1/trackers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'sentence' => '<string>',
'slack_url' => '<string>',
'msteams_url' => '<string>',
'recipients' => [
'jsmith@example.com'
],
'picks' => [
[
'id' => '<string>',
'text' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.poddata.ai/v1/trackers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"sentence": "<string>",
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"status": "active",
"email": "each",
"slack": true,
"msteams": "each",
"recipients": [
"jsmith@example.com"
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"last_match": "2023-11-07T05:31:56Z",
"matches": {
"total": 123,
"week": 123,
"good": 123,
"not_this": 123
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"reason": "owner",
"list": "<string>"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"deleted": true
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Trackers
Patch trackers
PATCH
/
trackers
/
{id}
cURL
curl --request PATCH \
--url https://api.poddata.ai/v1/trackers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sentence": "<string>",
"slack_url": "<string>",
"msteams_url": "<string>",
"recipients": [
"jsmith@example.com"
],
"picks": [
{
"id": "<string>",
"text": "<string>"
}
]
}
'import requests
url = "https://api.poddata.ai/v1/trackers/{id}"
payload = {
"name": "<string>",
"sentence": "<string>",
"slack_url": "<string>",
"msteams_url": "<string>",
"recipients": ["jsmith@example.com"],
"picks": [
{
"id": "<string>",
"text": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sentence: '<string>',
slack_url: '<string>',
msteams_url: '<string>',
recipients: ['jsmith@example.com'],
picks: [{id: '<string>', text: '<string>'}]
})
};
fetch('https://api.poddata.ai/v1/trackers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'sentence' => '<string>',
'slack_url' => '<string>',
'msteams_url' => '<string>',
'recipients' => [
'jsmith@example.com'
],
'picks' => [
[
'id' => '<string>',
'text' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.poddata.ai/v1/trackers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"sentence\": \"<string>\",\n \"slack_url\": \"<string>\",\n \"msteams_url\": \"<string>\",\n \"recipients\": [\n \"jsmith@example.com\"\n ],\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"sentence": "<string>",
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"status": "active",
"email": "each",
"slack": true,
"msteams": "each",
"recipients": [
"jsmith@example.com"
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"last_match": "2023-11-07T05:31:56Z",
"matches": {
"total": 123,
"week": 123,
"good": 123,
"not_this": 123
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"reason": "owner",
"list": "<string>"
},
"lists": [
{
"id": "<string>",
"name": "<string>",
"deleted": true
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Authorizations
Body
application/json
Response
The tracker after the change